Subject: Re: [bug#57625] [PATCH 1/3] gnu: Add libgc-private-headers-for-pnet.

From: Adam Faiz <[email-masked]>
Date: Wed, 7 Sep 2022 10:48:45 +0800

On 9/7/22 00:55, Maxime Devos wrote:
> Also, why a hidden package? 
> Greetings,
> Maxime.
I wasn't sure if the package would be useful being exposed to the user 
interface, since it's specific to pnet's needs.

> (*) Untested proposal:
> 
> (define-public libgc-all-headers ; TODO(core-updates) merge into libgc
>   (package
>     (inherit libgc)
>     (name "libgc-all-headers")
>     (outputs "out")
>     (arguments
>       (append (package-arguments libgc)
>         (list #:imported-modules
>                '((guix build gnu-build-system) (guix build copy-build-system))
>                #:phases
>                #~(modify-phases
>                        (add-after 'install 'delete-library
>                          (lambda _
>                            (delete-file-recursively (string-append #$output "/lib"))))

>                        (add-after 'install 'delete-private-header
>                          (lambda _
>                            (delete-file-recursively (string-append #$output "/lib"))))
Why is 'delete-private-header the same as 'delete-library?
Was it a typo, and supposed to delete something else("include/private"?)
>                        (add-after 'install 'install-private
>                          (lambda arguments
>                            ((@ (guix build copy-build-system) install)
>                             (append (list #:install-plan '(("include/config.h" [...]) [...]))
>                                           arguments))))))))
>     (synopsis ...)
>     (description ...)))
Thanks, this looks much better than what I wrote. I didn't know how I 
could inherit it from libgc. I can use this in the V1 for this patch.